package com.zkqy.system.service;

import com.zkqy.system.entity.CommonEntity;
import com.zkqy.system.entity.TableSql;


import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;


public interface ICommonService {


    /**
     * 单表查询列表
     */
    List<CommonEntity> selectList(CommonEntity commonEntity);

    /**
     * 批量新增
     */
    int batchInsert(CommonEntity commonEntity);

    /**
     * 修改
     */
    int edit(CommonEntity commonEntity);

    /**
     * 批量删除
     */
    int batchDelete(CommonEntity commonEntity);

    /**
     * 根据sqlkey 执行sql并返回结果
     */
    List<CommonEntity> queryTableList(CommonEntity commonEntity, TableSql tableSql);

    /**
     * 表格组查询表格信息
     * @param commonEntity
     * @param tableSql
     * @return
     */
    List<CommonEntity> queryGroupTableList(CommonEntity commonEntity, TableSql tableSql);

    /**
     * 导出列表
     */
    void export(HttpServletResponse response, CommonEntity commonEntity) throws Exception;

    /**
     * 导出模版
     */
    void exportTemplate(HttpServletResponse response, String tableName, String sqlKey) throws Exception;

    /**
     * 动态表单预览接口
     */
    List<CommonEntity> dragTablePreview(CommonEntity commonEntity);

    /**
     * 获取详情
     */
    CommonEntity getInfoById(CommonEntity commonEntity);

    /**
     * 通用批量查询下拉框数据接口
     */
    CommonEntity queryDropDownBoxData(List<CommonEntity> commonEntityList);

}
/*

优化共同实体、流程结束接口、查询当前用户执行节点接口优化、流程执行节点的开发、执行节点接口、执行节点必要参数
流程节点运行相关接口，bug修复等
优化查询sql，修复流程节点无法执行
下发工具类支持实体类型的参数传递
定义节点执行表单模版接口
按钮类型修复
token反序列化数据丢失问题
共通实体null异常



* */
